Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.accessibility
Class StructureTree

    java.lang.Object
      org.apache.fop.accessibility.StructureTree

public final class StructureTree
extends java.lang.Object

A reduced version of the document's FO tree, containing only its logical structure. Used by accessible output formats.

Method Summary
`org.w3c.dom.NodeList` | `getPageSequence(int index)` Returns the list of nodes that are the children of the given page sequence.
`java.lang.String` | `toString()` Returns an XML-like representation of the structure trees.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPageSequence

    public org.w3c.dom.NodeList getPageSequence(int index)

  Returns the list of nodes that are the children of the given page sequence.

  Parameters:
    `index` - index of the page sequence, 0-based
  Returns:
    its children nodes

### toString

    public java.lang.String toString()

  Returns an XML-like representation of the structure trees.

  Note: use only for debugging purpose, as this method performs non-trivial operations.

  Returns:
    a string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.